/*
 * Button.h
 *
 *  Created on: Feb 24, 2011
 *      Author: lipari
 */

#ifndef BUTTON_H_
#define BUTTON_H_

#include <string>
#include "WindowInterface.h"

class Button : public WindowInterface {
	bool pressed;
	std::string name;
public:
	Button(const std::string &n);
	virtual ~Button();
	void click();
	void release();
	bool getStatus() const;
	std::string getName() const {return name;}

	template<class V>
	void accept(V &v) { v.visit(*this); }
};

#endif /* BUTTON_H_ */
