/*
 * WindowInterface.cpp
 *
 *  Created on: Feb 24, 2011
 *      Author: lipari
 */

#include "WindowInterface.h"
#include <algorithm>

WindowInterface::WindowInterface() {}

WindowInterface::~WindowInterface() {}

void WindowInterface::addObserver(ObserverConnectorInt *obs)
{
	observers.push_back(obs);
}

void WindowInterface::detachObserver(ObserverConnectorInt *obs)
{
	std::vector<ObserverConnectorInt *>::iterator i = std::find(observers.begin(), observers.end(), obs);
	if (i!=observers.end())
		observers.erase(i);
}

void WindowInterface::notify()
{
	for(std::vector<ObserverConnectorInt*>::iterator i=observers.begin(); i!=observers.end(); ++i)
		(*i)->probe();
}


