/*
 * WindowInterface.h
 *
 *  Created on: Feb 24, 2011
 *      Author: lipari
 */

#ifndef WINDOWINTERFACE_H_
#define WINDOWINTERFACE_H_

#include <vector>
#include "ObserverConnector.hpp"

class WindowInterface {
	std::vector<ObserverConnectorInt *> observers;
public:
	WindowInterface();
	virtual ~WindowInterface();
	void addObserver(ObserverConnectorInt *);
	void detachObserver(ObserverConnectorInt *);
	void notify();
};

#endif /* WINDOWINTERFACE_H_ */
